// cable tidy 1 for Mill DRO
// =========================
$fa = 1;
$fs = 0.4;

cable  = 8.0;	// cable size  8.0for DRO, 8.5 for CNC
num	   = 3;		// number of cables
sep	   = 3;		// seperation
height = 7;		// height of a half
end	   = 8;		// width of end
bolt   = 4;		// M4
width  = 15;
length = end*2 + cable*num + sep*(num-1);	// width
gap    = 10;

difference(0){
	union(){
		cube([length, width, height]);
		translate([0,width+gap])
			cube([length, width, height]);
	}
	for(i=[0,1,num-1]){
		translate([end+(cable+sep)*i+cable/2, -0.01, height])
			rotate([-90,0,0])
				cylinder(d=cable, h=width*2+30);
	}
	translate([end/2, width/2, -0.01])
		cylinder(h=height+2, d=bolt);
	translate([length-end/2, width/2, -0.01])
		cylinder(h=height+2, d=bolt);
	translate([end/2, width/2+width+gap, -0.01])
		cylinder(h=height+2, d=bolt);
	translate([length-end/2, width/2+width+gap, -0.01])
		cylinder(h=height+2, d=bolt);
}