// X sensor
$fa = 1;
$fs = 0.4;

ang  = 42;
high = 17;
dy   = sin(ang)*20;
dx   = cos(ang)*20;

difference(){
	linear_extrude(high){
		polygon([[0,0], [0,5], [sin(ang)*20, 5+sin(ang)*20], 
		[18, 5+sin(ang)*20], [18, 3], [8, 0], [0,0]]);
	}
	translate([11, 7, -0.01])				// bolt hole
		cylinder(d=4, h=high+0.02);
	translate([11, 7, high-4])				// bolt hole
		cylinder(d=8, h=5);
	translate([5+5*sin(ang),5*cos(ang),14])	// microswitch holes
		rotate([270,0,ang])
			cylinder(d=1.6, h=20);
	translate([5+(5+9.5)*sin(ang),(5+9.5)*cos(ang), 14])
		rotate([270,0,ang])
			cylinder(d=1.6, h=20);
}
