// Z axis cover  rev 3
$fa = 1;
$fs = 0.4;

pleng       = 175;  // size of plate
pwide       = 125;
pthick      = 4;

chigh       = 24;	// internal 'headroom'
wall        = 3;	// wall thickness
iwall		= 6;	// inner wall thickness

threadX     = 118.61;		// correct by remeasurement
threadY     = 39.47;
dhole       = 43;
nhigh		= 33.6;			// height of chimney
nwall		= 6;			// chimney wall

difference(){
	union(){
		cylinder(d=dhole+2*nwall, h=nhigh);
		cylinder(d=dhole+nwall, h=nhigh+wall);
	}
	translate([0,0,-0.01])
		cylinder(h=nhigh+wall+0.02, d=dhole);
}