// blanking plate

$fa = 1;
$fs = 0.4;

$a = 25.5; 		// width
$b = 92;		// depth
$c = 10;		// thickness
$d = 80;		// distance between bolt holes
$e = 6;			// diameter of bolt holes

difference(){
	union(){
		translate([$a/2, $a/2, 0])
			cylinder(d=$a, h=$c);
		translate([$b-$a/2, $a/2, 0])
			cylinder(d=$a, h=$c);
		translate([$a/2,0,0])
			cube([$b-$a, $a, $c]);
	}
	translate([($b-$d)/2, $a/2, -0.01])
		cylinder(d=$e, $c+0.02);
	translate([$b-($b-$d)/2, $a/2, -0.01])
		cylinder(d=$e, $c+0.02);
}
