// Z connector clip
$fa = 1;
$fs = 0.4;

base   = 3;			// base thickness (was 4)
length = 42.7;		// length of clip X
width  = 28.9;		// width of clip Y
high   = 15.4;		// height of clip Z
wall   = 3;			// walls
slot   = 9.5;		// width of slot down the middle
slotH  = 8.8;		// height of part in the slot
tab    = 3;			// length of locking tab
os     = 0;			// displace holes off centre (4 for Z, 0 for X)

difference(){
	union(){
		cube([length+2*wall, width, base]);
		translate([0, width/2-slot/2, 0])
			cube([wall, slot, high]);
		translate([length+wall, width/2-slot/2, 0])
			cube([wall, slot, high]);
		translate([0,width/2-slot/2,base+slotH])
			cube([wall+tab, slot, high-base-slotH]);
		translate([length+wall-tab,width/2-slot/2,base+slotH])
			cube([wall+tab, slot, high-base-slotH]);
	}
	union(){
		translate([length/2+wall-15, width/2+os, -0.01])
			cylinder(d=3.4, base+0.02);		// M4 tap
		translate([length/2+wall+15, width/2+os, -0.01])
			cylinder(d=3.4, base+0.02);		// M4 tap
	}
}